aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
Diffstat (limited to 'contrib')
-rw-r--r--contrib/compiler-rt/lib/builtins/README.txt4
-rw-r--r--contrib/compiler-rt/lib/builtins/bswapdi2.c28
-rw-r--r--contrib/compiler-rt/lib/builtins/bswapsi2.c25
-rw-r--r--contrib/dma/dma.819
-rw-r--r--contrib/elftoolchain/nm/nm.14
-rwxr-xr-xcontrib/netbsd-tests/usr.bin/grep/t_grep.sh55
-rw-r--r--contrib/top/top.c2
7 files changed, 124 insertions, 13 deletions
diff --git a/contrib/compiler-rt/lib/builtins/README.txt b/contrib/compiler-rt/lib/builtins/README.txt
index b3d083614ee0..cd7d1d5b1c19 100644
--- a/contrib/compiler-rt/lib/builtins/README.txt
+++ b/contrib/compiler-rt/lib/builtins/README.txt
@@ -57,8 +57,8 @@ si_int __popcountsi2(si_int a); // bit population
si_int __popcountdi2(di_int a); // bit population
si_int __popcountti2(ti_int a); // bit population
-uint32_t __bswapsi2(uint32_t a); // a byteswapped, arm only
-uint64_t __bswapdi2(uint64_t a); // a byteswapped, arm only
+uint32_t __bswapsi2(uint32_t a); // a byteswapped, arm/mips only
+uint64_t __bswapdi2(uint64_t a); // a byteswapped, arm/mips only
// Integral arithmetic
diff --git a/contrib/compiler-rt/lib/builtins/bswapdi2.c b/contrib/compiler-rt/lib/builtins/bswapdi2.c
new file mode 100644
index 000000000000..0af0b88a479e
--- /dev/null
+++ b/contrib/compiler-rt/lib/builtins/bswapdi2.c
@@ -0,0 +1,28 @@
+/* ===-- bswapdi2.c - Implement __bswapdi2 ---------------------------------===
+ *
+ * The LLVM Compiler Infrastructure
+ *
+ * This file is dual licensed under the MIT and the University of Illinois Open
+ * Source Licenses. See LICENSE.TXT for details.
+ *
+ * ===----------------------------------------------------------------------===
+ *
+ * This file implements __bswapdi2 for the compiler_rt library.
+ *
+ * ===----------------------------------------------------------------------===
+ */
+
+#include "int_lib.h"
+
+COMPILER_RT_ABI uint64_t
+__bswapdi2 (uint64_t u)
+{
+ return ((((u) & 0xff00000000000000ULL) >> 56)
+ | (((u) & 0x00ff000000000000ULL) >> 40)
+ | (((u) & 0x0000ff0000000000ULL) >> 24)
+ | (((u) & 0x000000ff00000000ULL) >> 8)
+ | (((u) & 0x00000000ff000000ULL) << 8)
+ | (((u) & 0x0000000000ff0000ULL) << 24)
+ | (((u) & 0x000000000000ff00ULL) << 40)
+ | (((u) & 0x00000000000000ffULL) << 56));
+}
diff --git a/contrib/compiler-rt/lib/builtins/bswapsi2.c b/contrib/compiler-rt/lib/builtins/bswapsi2.c
new file mode 100644
index 000000000000..d30c65e55cef
--- /dev/null
+++ b/contrib/compiler-rt/lib/builtins/bswapsi2.c
@@ -0,0 +1,25 @@
+/* ===-- bswapsi2.c - Implement __bswapsi2 ---------------------------------===
+ *
+ * The LLVM Compiler Infrastructure
+ *
+ * This file is dual licensed under the MIT and the University of Illinois Open
+ * Source Licenses. See LICENSE.TXT for details.
+ *
+ * ===----------------------------------------------------------------------===
+ *
+ * This file implements __bswapsi2 for the compiler_rt library.
+ *
+ * ===----------------------------------------------------------------------===
+ */
+
+#include "int_lib.h"
+
+COMPILER_RT_ABI uint32_t
+__bswapsi2 (uint32_t u)
+{
+
+ return ((((u) & 0xff000000) >> 24)
+ | (((u) & 0x00ff0000) >> 8)
+ | (((u) & 0x0000ff00) << 8)
+ | (((u) & 0x000000ff) << 24));
+}
diff --git a/contrib/dma/dma.8 b/contrib/dma/dma.8
index 76ab174fe590..cadf899e50fc 100644
--- a/contrib/dma/dma.8
+++ b/contrib/dma/dma.8
@@ -30,7 +30,7 @@
.\" OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
-.Dd February 13, 2014
+.Dd May 20, 2017
.Dt DMA 8
.Os
.Sh NAME
@@ -74,7 +74,7 @@ acts as a compatibility option for sendmail.
.It Fl bp
List all mails currently stored in the mail queue.
.It Fl bq
-Queue the mail, but don't attempt to deliver it.
+Queue the mail, but do not attempt to deliver it.
See also the
.Sq DEFER
config file setting below.
@@ -82,9 +82,9 @@ config file setting below.
.Pp
All other
.Ar mode Ns
-s are are ignored.
+s are ignored.
.It Fl D
-Don't run in the background.
+Do not run in the background.
Useful for debugging.
.It Fl f Ar sender
Set sender address (envelope-from) to
@@ -198,7 +198,7 @@ The special name
.Ql *
can be used to create a catch-all alias, which gets used if no other
matching alias is found.
-Use the catch-all alias only if you don't want any local mail to be
+Use the catch-all alias only if you do not want any local mail to be
delivered.
.It Ic SPOOLDIR Xo
(string, default=/var/spool/dma)
@@ -213,7 +213,7 @@ Just stick with the default.
Path to the
.Sq auth.conf
file.
-.It Ic SECURETRANS Xo
+.It Ic SECURETRANSFER Xo
(boolean, default=commented)
.Xc
Uncomment if you want TLS/SSL secured transfer.
@@ -222,7 +222,7 @@ Uncomment if you want TLS/SSL secured transfer.
.Xc
Uncomment if you want to use STARTTLS.
Only useful together with
-.Sq SECURETRANS .
+.Sq SECURETRANSFER .
.It Ic OPPORTUNISTIC_TLS Xo
(boolean, default=commented)
.Xc
@@ -234,7 +234,7 @@ the outside mail exchangers; in opportunistic TLS mode, the connection will
be encrypted if the remote server supports STARTTLS, but an unencrypted
delivery will still be made if the negotiation fails.
Only useful together with
-.Sq SECURETRANS
+.Sq SECURETRANSFER
and
.Sq STARTTLS .
.It Ic CERTFILE Xo
@@ -305,7 +305,8 @@ will send all mails as
setting it to
.Ql percolator
will send all mails as
-.Ql Sm off Va username @percolator .
+.Sm off
+.Ql Va username @percolator .
.Sm on
.It Ic NULLCLIENT Xo
.Xc
diff --git a/contrib/elftoolchain/nm/nm.1 b/contrib/elftoolchain/nm/nm.1
index 4cdd73745b60..bd28893987be 100644
--- a/contrib/elftoolchain/nm/nm.1
+++ b/contrib/elftoolchain/nm/nm.1
@@ -24,7 +24,7 @@
.\"
.\" $Id: nm.1 3195 2015-05-12 17:22:19Z emaste $
.\"
-.Dd February 15, 2015
+.Dd May 21, 2017
.Os
.Dt NM 1
.Sh NAME
@@ -304,6 +304,8 @@ A local
(uninitialized data) symbol.
.It d
A local data symbol.
+.It r
+A local read-only data symbol.
.It t
A local text symbol.
.It v
diff --git a/contrib/netbsd-tests/usr.bin/grep/t_grep.sh b/contrib/netbsd-tests/usr.bin/grep/t_grep.sh
index 05d06f6ba8dd..6accab3ca724 100755
--- a/contrib/netbsd-tests/usr.bin/grep/t_grep.sh
+++ b/contrib/netbsd-tests/usr.bin/grep/t_grep.sh
@@ -413,6 +413,26 @@ wflag_emptypat_body()
atf_check -o file:test4 grep -w -e "" test4
}
+atf_test_case excessive_matches
+excessive_matches_head()
+{
+ atf_set "descr" "Check for proper handling of lines with excessive matches (PR 218811)"
+}
+excessive_matches_body()
+{
+ grep_type
+ if [ $? -eq $GREP_TYPE_GNU_FREEBSD ]; then
+ atf_expect_fail "this test does not pass with GNU grep in base"
+ fi
+
+ for i in $(jot 4096); do
+ printf "x" >> test.in
+ done
+
+ atf_check -s exit:0 -x '[ $(grep -o x test.in | wc -l) -eq 4096 ]'
+ atf_check -s exit:1 -x 'grep -on x test.in | grep -v "1:x"'
+}
+
atf_test_case fgrep_sanity
fgrep_sanity_head()
{
@@ -490,6 +510,39 @@ wv_combo_break_body()
atf_check -s exit:1 grep -v -w "x" test2
}
+atf_test_case ocolor_metadata
+ocolor_metadata_head()
+{
+ atf_set "descr" "Check for -n/-b producing per-line metadata output"
+}
+ocolor_metadata_body()
+{
+ grep_type
+ if [ $? -eq $GREP_TYPE_GNU_FREEBSD ]; then
+ atf_expect_fail "this test does not pass with GNU grep in base"
+ fi
+
+ printf "xxx\nyyyy\nzzz\nfoobarbaz\n" > test1
+ check_expr="^[^:]*[0-9][^:]*:[^:]+$"
+
+ atf_check -o inline:"1:1:xx\n" grep -bon "xx$" test1
+
+ atf_check -o inline:"2:4:yyyy\n" grep -bn "yy" test1
+
+ atf_check -o inline:"2:6:yy\n" grep -bon "yy$" test1
+
+ # These checks ensure that grep isn't producing bogus line numbering
+ # in the middle of a line.
+ atf_check -s exit:1 -x \
+ "grep -Eon 'x|y|z|f' test1 | grep -Ev '${check_expr}'"
+
+ atf_check -s exit:1 -x \
+ "grep -En 'x|y|z|f' --color=always test1 | grep -Ev '${check_expr}'"
+
+ atf_check -s exit:1 -x \
+ "grep -Eon 'x|y|z|f' --color=always test1 | grep -Ev '${check_expr}'"
+}
+
atf_test_case grep_nomatch_flags
grep_nomatch_flags_head()
{
@@ -603,10 +656,12 @@ atf_init_test_cases()
atf_add_test_case egrep_empty_invalid
atf_add_test_case zerolen
atf_add_test_case wflag_emptypat
+ atf_add_test_case excessive_matches
atf_add_test_case wv_combo_break
atf_add_test_case fgrep_sanity
atf_add_test_case egrep_sanity
atf_add_test_case grep_sanity
+ atf_add_test_case ocolor_metadata
atf_add_test_case grep_nomatch_flags
atf_add_test_case binary_flags
atf_add_test_case badcontext
diff --git a/contrib/top/top.c b/contrib/top/top.c
index 6990a2c6b713..d55e046e82a3 100644
--- a/contrib/top/top.c
+++ b/contrib/top/top.c
@@ -433,7 +433,7 @@ char *argv[];
default:
fprintf(stderr,
"Top version %s\n"
-"Usage: %s [-abCHIijnPqStuvz] [-d count] [-m io | cpu] [-o field] [-s time]\n"
+"Usage: %s [-abCHIijnPqStuvwz] [-d count] [-m io | cpu] [-o field] [-s time]\n"
" [-J jail] [-U username] [number]\n",
version_string(), myname);
exit(1);